#!/bin/sh
# $Aero: util/diskprep/examples/freedos-reboot/mkfdosreboot.sh.in,v 1.2 2004/05/10 23:02:27 brooks Exp $

sharedir=/usr/local/share/examples/diskprep/freedos-reboot
mountpoint=/mnt
bootcode=${sharedir}/fdos
rebootfiles=${sharedir}/dosfiles.tar

drive=$1
if [ ! -c $drive ]; then
	echo "${drive} isn't a device"
	exit 1
fi

_curdir=`pwd`
newfs_msdos -B $bootcode -F 16 -L FREEDOS -O "FreeDOS" -a 64 $drive
mount_msdosfs $drive ${mountpoint}
cd ${mountpoint}
tar xf ${rebootfiles}
ls -lR
cd $_curdir
umount ${mountpoint}
